Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request DELETE \ --url https://api.lightspark.com/grid/2025-10-13/agents/{agentId} \ --header 'Authorization: Basic <encoded-value>'
const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}}; fetch('https://api.lightspark.com/grid/2025-10-13/agents/{agentId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
val client = OkHttpClient() val request = Request.Builder() .url("https://api.lightspark.com/grid/2025-10-13/agents/{agentId}") .delete(null) .addHeader("Authorization", "Basic <encoded-value>") .build() val response = client.newCall(request).execute()
{ "code": "UNAUTHORIZED", "reason": "<string>", "details": {} }
{ "code": "TRANSACTION_NOT_FOUND", "reason": "<string>", "details": {} }
{ "code": "GRID_SWITCH_ERROR", "reason": "<string>", "details": {} }
Permanently delete an agent. Connected agent software will lose access immediately.
API token authentication using format <api token id>:<api client secret>
<api token id>:<api client secret>
System-generated unique agent identifier
Agent deleted successfully
Was this page helpful?